Bug 143951 - [PATCH] Add support for Xft fonts to x11/dmenu
Summary: [PATCH] Add support for Xft fonts to x11/dmenu
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-15 11:10 UTC by Ashish Shukla
Modified: 2010-05-16 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (9.26 KB, patch)
2010-02-15 11:10 UTC, Ashish Shukla
no flags Details | Diff
dmenu.diff (11.33 KB, patch)
2010-04-04 15:14 UTC, Ashish Shukla
no flags Details | Diff
dmenu-port-xft.diff (2.98 KB, patch)
2010-05-03 15:58 UTC, Jeroen Schot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashish Shukla 2010-02-15 11:10:01 UTC
The attached diff adds support for Xft fonts to dmenu with the help of the diff available at following URL:

http://www.haskell.org/haskellwiki/Dmenu-4.0-xft.diff

A sample Xmonad configuration depicting its use is available at following URL:

http://www.haskell.org/haskellwiki/John-yates-xmonad.hs
Comment 1 Edwin Groothuis freebsd_committer 2010-02-15 11:11:17 UTC
Maintainer of x11/dmenu,

Please note that PR ports/143951 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143951

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-02-15 11:11:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jeroen Schot 2010-02-16 15:20:45 UTC
Hi,

Thanks for your PR. Although I have been hesitant adding unofficial
patches to the dmenu and dwm ports, this looks very interesting. I
have however some questions:

Are you the original author of this patch and/or do you plan to
maintain it?

If so, would you care to host/list it on the community wiki at
<http://tools.suckless.org/dmenu/patches/>?

Some technical remarks:
- I do not agree with XFT defaulting to On.
- Why is a '-bh' option added? It seems unrelated to XFT.
- Why is the '-sf' option removed? This can/will break existing
  configurations.

Regards,
-- 
Jeroen Schot
Comment 4 Ashish Shukla 2010-02-17 18:20:08 UTC
Hi Jeroen,

Apologies for the late reply.

Jeroen Schot writes:
> Hi,


> Thanks for your PR. Although I have been hesitant adding unofficial
> patches to the dmenu and dwm ports, this looks very interesting. I
> have however some questions:


> Are you the original author of this patch and/or do you plan to
> maintain it?


No, I'm not the author of that patch, but I just customized the patch to suit
port. Anyways, the patch is not difficult to maintain, so I can maintain it :).

> If so, would you care to host/list it on the community wiki at
> <http://tools.suckless.org/dmenu/patches/>?


> Some technical remarks:
> - I do not agree with XFT defaulting to On.


Okay, fine. This can be fixed.

> - Why is a '-bh' option added? It seems unrelated to XFT.
> - Why is the '-sf' option removed? This can/will break existing
>   configurations.


I'm not an extensive user of dmenu, but I can look at it. At the moment, I'm a
bit busy but I can reply to you with an updated patch and with any
explanations you seek, in a week or 10 days.

Thanks
-- 
Ashish SHUKLA
Comment 5 Pav Lucistnik freebsd_committer 2010-03-31 13:38:33 UTC
What is the status on this PR?

http://www.freebsd.org/cgi/query-pr.cgi?pr=143951

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

So you've got a problem, and you've decided to solve it with
Regular Expressions.  Now you've got two problems.
Comment 6 Ashish Shukla 2010-03-31 13:55:16 UTC
=2D----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Hi Pav,

Pav Lucistnik writes:
> What is the status on this PR?

> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D143951

I'm sorry, I didn't get enough time to study the code. Thanks for the
reminder. I'll reply to you by Saturday, 3rd April, 2010.

=2D --=20
Ashish SHUKLA
=2D----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.14 (GNU/Linux)

iEYEAREDAAYFAkuzRjcACgkQHy+EEHYuXnR0QgCgnQluWp4Z6Jg8JHKDT36OYWkL
hhQAoLZHHKkay2AFqAbRWbUiNTh8nTte
=3DxEin
=2D----END PGP SIGNATURE-----
Comment 7 Jeroen Schot 2010-04-02 21:27:45 UTC
Hello Ashish SHUKLA,

I found an other version of this patch on the dmenu meailing list that
claim to be an updated/improved version:

http://lists.suckless.org/dev/0911/2320.html

Regards,
-- 
Jeroen Schot
Comment 8 Jeroen Schot 2010-05-03 15:58:35 UTC
Hello,

On Sun, Apr 04, 2010 at 07:44:14PM +0530, Ashish SHUKLA wrote:
> This patch look cleaner and also comes with documentation :). I looked at it,
> modified it a bit, and I can maintain this patch for FreeBSD. I'm also
> attaching the updated diff file. Apart from the Xft support, it also corrects
> few issues. So please review the diff carefully, and let me know of any
> issues.

This diff looks better. I've tested it on my FreeBSD 8.0 system
without problems. Attached patch is a slightly modified version that
may be committed. Notable changes:
 * Xft is off by default.
 * The patch is not included in the port tree, but at a PATCH_SITE: The
   same location of my dmenu sources MASTER_SITE mirror.

Thanks for your work on this patch.

Regards,
-- 
Jeroen Schot
Comment 9 Max Brazhnikov freebsd_committer 2010-05-15 20:28:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 10 Max Brazhnikov freebsd_committer 2010-05-15 20:29:34 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 11 dfilter service freebsd_committer 2010-05-16 11:16:44 UTC
makc        2010-05-16 10:16:21 UTC

  FreeBSD ports repository

  Modified files:
    x11/dmenu            Makefile distinfo 
    x11/dmenu/files      patch-config.mk 
  Log:
  Add optional support for Xft.
  
  PR:             ports/143951
  Submitted by:   Ashish SHUKLA <wahjava at gmail.com>
  Reviewed by:    maintainer
  
  Revision  Changes    Path
  1.28      +18 -0     ports/x11/dmenu/Makefile
  1.27      +3 -0      ports/x11/dmenu/distinfo
  1.9       +7 -30     ports/x11/dmenu/files/patch-config.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Max Brazhnikov freebsd_committer 2010-05-16 11:18:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!